{% extends 'app_lmgas/base.html' %}
{% load static %}

{% block title%}LMGAS - Lista de Productos{% endblock%}
{% block contenido %}
{% if messages %}
    {% for msg in messages  %}
        <script>
            Swal.fire({
            title:'Éxito',
            text:'{{msg}}',
            icon:'success',
            confirmButtonText:'Aceptar',
            confirmButtonColor:'#3085d6'
            })
        </script>
    {% endfor %}
{% endif %}

<script>
    function AlertaEliminar(id){
       
        Swal.fire({
            title:'Precaución',
            html:'Está a punto de eliminar un producto <br> Esta acción es irreversible',
            icon:'warning',
            iconColor:'red',
            showCancelButton:true,
            confirmButtonText:'Aceptar',
            confirmButtonColor:'green',
            cancelButtonText:'Cancelar',
            cancelButtonColor:'red'
            }).then(function(result)
            {if (result.isConfirmed){
                window.location.href='/EliminarProducto/'+id
            }})
    }
</script>


<!--Mi cuenta  -->

<div class="container" style="margin-top: 50px;">
    <h6 id="direccion"><a href="{% url 'home' %}">inicio</a> > <a href="{% url 'Admin' %}">administrador </a>> <a
            href="#"> productos</h6></a>

    <div class="row">
        <div id="panel-cliente" class="col-sm-3">
            <ul class="nav flex-column">
                <li>
                    <h3 style="border-bottom: 1px solid #acacac;">Panel de admin</h3>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'Admin' %}">Mi cuenta</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'ListaProductos' %}">Productos</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'AdminPedidos' %}">Pedidos</a>
                </li>
                <li class="nav-item">
                        <a class="nav-link" href="{% url 'AdminClientes' %}">Clientes</a>
                    </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'logout' %}">Cerrar sesión</a>
                </li>
            </ul>
        </div>

        <div class="col-sm-9">
            <div>
                <h3 class="float-left">Productos</h3>
                <form class="form-inline my-2 my-lg-0 ml-auto float-right">
                    <input class="form-control mr-sm-2" type="search" placeholder="Buscar por id" aria-label="Search">
                    <button class="btn btn-outline-success my-2 my-sm-0 bg-primary text-light border-primary"
                        type="submit">Buscar</button>
                </form>
            </div>
            <table class="table table-hover table-responsive-sm">
                <thead>
                    <tr>
                        <th>Id Producto</th>
                        <th>Marca</th>
                        <th>Tipo</th>
                        <th>Valor</th>
                        <th>Stock</th>
                        <th>Descripción</th>
                    </tr>
                </thead>
                <tbody>
                {% for prod in listaProductos%}
                    <tr>
                        <td>{{prod.id}}</td>
                        <td>{{prod.marca}}</td>
                        <td>{{prod.tipo}}</td>
                        <td>{{prod.valor}}</td>
                        <td>{{prod.stock}}</td>
                        <td>{{prod.descripcion}}</td>
                        <td><a href=" {% url 'EditarProducto' prod.id %}">
                                <ion-icon style="font-size: 30px;" name="create"></ion-icon>
                            </a></td>
                        <td>
                            <a href="#">
                            <ion-icon class="text-primary" style="font-size: 30px;" name="close-circle"
                                onclick="AlertaEliminar({{prod.id}})"></ion-icon></a>
                        </td>
                    </tr>
                    {% endfor %} 
                </tbody>
            </table>
        </div>
    </div>
    <div class="text-right">
        <a href="{%url 'AgregarProductoAdmin' %}" class="btn btn-primary"> Agregar Producto</a>
    </div>
</div>
{%endblock contenido%}